/////////////////////////////////////////////////////////////////////////////
// CodeVisionAVR C Compiler
// (C) 1998-2000 Pavel Haiduc, HP InfoTech S.R.L.
//
// Prototypes for the Dallas Semiconductors DS1307 I2C Bus Real Time Clock
// functions.
//
// An Hardware I2C Schnittstelle angepasst: ERB/23.03.2005
/////////////////////////////////////////////////////////////////////////////

#ifndef _DS1307_INCLUDED_
#define _DS1307_INCLUDED_

#include <i2c_hw.h>

#pragma used+

void rtc_init(unsigned char rs,unsigned char sqwe,unsigned char out);
void rtc_get_time(unsigned char *hour,unsigned char *min,unsigned char *sec);
void rtc_set_time(unsigned char hour,unsigned char min,unsigned char sec);
void rtc_get_date(unsigned char *date,unsigned char *month,unsigned char *year);
void rtc_set_date(unsigned char date,unsigned char month,unsigned char year);

#pragma used-
#pragma library ds1307_hw.lib

#endif

/////////////////////////////////////////////////////////////////////////////
// Ende von DS1307.h
/////////////////////////////////////////////////////////////////////////////
