//***************************************************************************
// Name: i2c_hw.h
// Funktion: Headerdatei fr i2c_hw.c
// Erstellt: 01/2003 - BER
//***************************************************************************
#ifndef	___I2C_HW.h___
#define	___I2C_HW.h___

#include "globals.h"

#define	MT_DATA_ACK	0x28
#define	START				0x18
#define	TWINT				7
#define TWSTA				5
#define TWEN				2
#define	TWSTO				4
#define TWEA				6

void i2c_hw_start(void);
unsigned char i2c_hw_write(unsigned char data);
void i2c_hw_stop(void);
unsigned char i2c_hw_read(unsigned char data);

#pragma library i2c_hw.lib
#endif
//***************************************************************************
// Ende von i2c_hw.h
//***************************************************************************
