/*
  CodeVisionAVR C Compiler
  (C) 1998-2003 Pavel Haiduc, HP InfoTech S.R.L.

  Prototypes for power management functions
*/

#ifndef _SLEEP_INCLUDED_
#define _SLEEP_INCLUDED_

#ifdef _CHIP_AT86RF401_
#error Power management functions not supported for AT86RF401
#endif

#pragma used+
void sleep_enable(void);
void sleep_disable(void);
void idle(void);
void powerdown(void);
void powersave(void);
void standby(void);
void extended_standby(void);
#pragma used-

#endif

