// CodeVisionAVR C Compiler
// (C) 1998-2005 Pavel Haiduc, HP InfoTech S.R.L.

// I/O registers definitions

#ifndef _IO_INCLUDED_
#define _IO_INCLUDED_

#ifdef _CHIP_ATTINY13_
#include <tiny13.h>
#elif defined _CHIP_ATTINY22_ | defined _CHIP_ATTINY22L_
#include <tiny22.h>
#elif defined _CHIP_ATTINY2313_ | defined _CHIP_ATTINY2313V_
#include <tiny2313.h>
#elif defined _CHIP_ATTINY25_
#include <tiny25.h>
#elif defined _CHIP_ATTINY26_ | defined _CHIP_ATTINY26L_
#include <tiny26.h>
#elif defined _CHIP_ATTINY45_
#include <tiny45.h>
#elif defined _CHIP_ATTINY85_
#include <tiny85.h>
#elif defined _CHIP_AT90S2313_
#include <90s2313.h>
#elif defined _CHIP_AT90S2323_ | defined _CHIP_AT90LS2323_
#include <90s2323.h>
#elif defined _CHIP_AT90S2333_ | defined _CHIP_AT90LS2333_
#include <90s2333.h>
#elif defined _CHIP_AT90S2343_ | defined _CHIP_AT90LS2343_
#include <90s2343.h>
#elif defined _CHIP_AT90S4414_
#include <90s4414.h>
#elif defined _CHIP_AT90S4433_ | defined _CHIP_AT90LS4433_
#include <90s4433.h>
#elif defined _CHIP_AT90S4434_ | defined _CHIP_AT90LS4434_
#include <90s4434.h>
#elif defined _CHIP_AT90S8515_
#include <90s8515.h>
#elif defined _CHIP_AT90C8534_
#include <90c8534.h>
#elif defined _CHIP_AT90S8535_ | defined _CHIP_AT90LS8535_
#include <90s8535.h>
#elif defined _CHIP_AT90CAN128_
#include <90can128.h>
#elif defined _CHIP_AT90PWM2_
#include <90pwm2.h>
#elif defined _CHIP_AT90PWM3_
#include <90pwm3.h>
#elif defined _CHIP_ATMEGA103_ | defined _CHIP_ATMEGA103L_
#include <mega103.h>
#elif defined _CHIP_ATMEGA128_ | defined _CHIP_ATMEGA128L_
#include <mega128.h>
#elif defined _CHIP_ATMEGA16_ | defined _CHIP_ATMEGA16L_
#include <mega16.h>
#elif defined _CHIP_ATMEGA161_ | defined _CHIP_ATMEGA161L_
#include <mega161.h>
#elif defined _CHIP_ATMEGA162_ | defined _CHIP_ATMEGA162L_ | defined _CHIP_ATMEGA162U_ | defined _CHIP_ATMEGA162V_
#include <mega162.h>
#elif defined _CHIP_ATMEGA163_ | defined _CHIP_ATMEGA163L_
#include <mega163.h>
#elif defined _CHIP_ATMEGA165_ | defined _CHIP_ATMEGA165V_
#include <mega165.h>
#elif defined _CHIP_ATMEGA168_ | defined _CHIP_ATMEGA168V_
#include <mega168.h>
#elif defined _CHIP_ATMEGA169_ | defined _CHIP_ATMEGA169L_ | defined _CHIP_ATMEGA169V_
#include <mega169.h>
#elif defined _CHIP_ATMEGA32_ | defined _CHIP_ATMEGA32L_
#include <mega32.h>
#elif defined _CHIP_ATMEGA323_ | defined _CHIP_ATMEGA323L_
#include <mega323.h>
#elif defined _CHIP_ATMEGA325_ | defined _CHIP_ATMEGA325V_
#include <mega325.h>
#elif defined _CHIP_ATMEGA3250_ | defined _CHIP_ATMEGA3250V_
#include <mega3250.h>
#elif defined _CHIP_ATMEGA329_ | defined _CHIP_ATMEGA329V_
#include <mega329.h>
#elif defined _CHIP_ATMEGA3290_ | defined _CHIP_ATMEGA3290V_
#include <mega3290.h>
#elif defined _CHIP_ATMEGA48_ | defined _CHIP_ATMEGA48V_
#include <mega48.h>
#elif defined _CHIP_ATMEGA603_ | defined _CHIP_ATMEGA603L_
#include <mega603.h>
#elif defined _CHIP_ATMEGA64_ | defined _CHIP_ATMEGA64L_
#include <mega64.h>
#elif defined _CHIP_ATMEGA645_ | defined _CHIP_ATMEGA645V_
#include <mega645.h>
#elif defined _CHIP_ATMEGA6450_ | defined _CHIP_ATMEGA6450V_
#include <mega6450.h>
#elif defined _CHIP_ATMEGA649_ | defined _CHIP_ATMEGA649V_
#include <mega649.h>
#elif defined _CHIP_ATMEGA6490_ | defined _CHIP_ATMEGA6490V_
#include <mega6490.h>
#elif defined _CHIP_ATMEGA8_ | defined _CHIP_ATMEGA8L_
#include <mega8.h>
#elif defined _CHIP_ATMEGA8515_ | defined _CHIP_ATMEGA8515L_
#include <mega8515.h>
#elif defined _CHIP_ATMEGA8535_ | defined _CHIP_ATMEGA8535L_
#include <mega8535.h>
#elif defined _CHIP_ATMEGA88_ | defined _CHIP_ATMEGA88V_
#include <mega88.h>
#elif defined _CHIP_AT43USB355_
#include <43usb355.h>
#elif defined _CHIP_AT76C711_
#include <76c711.h>
#elif defined _CHIP_AT86RF401_
#include <86rf401.h>
#elif defined _CHIP_AT94K05_ | defined _CHIP_AT94K_
#include <94k.h>
#endif

#endif
